Bug 1527747 (CVE-2017-13856) - CVE-2017-13856 webkitgtk: Processing maliciously crafted web content may lead to arbitrary code execution
Summary: CVE-2017-13856 webkitgtk: Processing maliciously crafted web content may lead...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-13856
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1527748 1527749 1527750 1527751 1527752 1546013
Blocks: 1527762
TreeView+ depends on / blocked
 
Reported: 2017-12-20 03:33 UTC by Sam Fowler
Modified: 2019-09-29 14:28 UTC (History)
10 users (show)

Fixed In Version: webkitgtk 2.18.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-16 04:50:08 UTC


Attachments (Terms of Use)

Description Sam Fowler 2017-12-20 03:33:32 UTC
Processing maliciously crafted web content in WebKitGTK+ before version 2.18.4 may lead to arbitrary code execution. Technical details are currently unknown.

References:
https://webkitgtk.org/security/WSA-2017-0010.html
https://vuldb.com/?id.110750

Comment 1 Sam Fowler 2017-12-20 03:34:04 UTC
Created mingw-webkitgtk tracking bugs for this issue:

Affects: fedora-all [bug 1527750]


Created mingw-webkitgtk3 tracking bugs for this issue:

Affects: fedora-all [bug 1527752]


Created webkitgtk tracking bugs for this issue:

Affects: epel-all [bug 1527748]
Affects: fedora-all [bug 1527751]


Created webkitgtk4 tracking bugs for this issue:

Affects: fedora-all [bug 1527749]

Comment 2 Michael Catanzaro 2017-12-20 16:13:34 UTC
(In reply to Sam Fowler from comment #1)
> Created mingw-webkitgtk tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1527750]
> 
> 
> Created mingw-webkitgtk3 tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1527752]
> 
> 
> Created webkitgtk tracking bugs for this issue:
> 
> Affects: epel-all [bug 1527748]
> Affects: fedora-all [bug 1527751]

The above packages will not be fixed.

The mingw- packages really ought to be retired... I did not know about them.


Note You need to log in before you can comment on or make changes to this bug.